This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 249605 - Connecting to DJabberd fails TLS logins
Connecting to DJabberd fails TLS logins
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 14:30 EDT by Edward Rudd
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 13:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2007-07-25 14:30:31 EDT
Description of problem:
When connecting to DJabberd using TLS, pidgin fails to connect. DJabberd logs a
SSL_read 23061: 1 - error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number
SSL Read error: SSL_read 23061: 1 - error:1408F10B:SSL
routines:SSL3_GET_RECORD:wrong version number

Error when 64bit pidgin connects.


Version-Release number of selected component (if applicable):
2.0.2-3.fc7

How reproducible:
Everytime

Steps to Reproduce:
1. Setup DJabberd w/ an SSL certificate.
2. Connect w/ pidgin
  
Actual results:
Pidgin fails to connect and DJabberd reports a "wrong version number" error

Expected results:
Pidgin to connect.

Additional info:
64bit PSI  connects fine using qca-tls, which uses openssl.
32bit pidgin on windows and F7 works fine (exact same configuration)
64bit pidgin works when compiled with gnutls ONLY and NOT nss (f7 pidgin build
use NSS only and windows pidgin builds use NSS only).
64bit pidgin w/ gnutls AND nss support built in does not work (thinking pidgin
favors nss over gnutls)

If I configure pidgin to use "Old SSL" AND change the port to 5223 AND specify
the hostname to connect to, it connects fine on 64bit.

Not sure if this is a bug in pidgin specifically or a bug in NSS.

I've only tested this against djabberd as the only other jabber server I have
readily available is an OLD install of jabberd14 which doesn't support TLS.
Comment 1 Edward Rudd 2007-08-23 13:26:35 EDT
Issue has gone away w/ Pidgin 2.1.0. (though nothing noted in their changelog,
something they did fixed it)

Note You need to log in before you can comment on or make changes to this bug.